# Разблокировка и смена IMEI на Huawei e1550

![01-image](img/01-image.jpg)
![02-image](img/02-image.jpg)

- [Разблокировка](#разблокировка)
- [Смена IMEI](#смена-imei)
- [Soft & Dashboard](#soft-dashboard)
- [AT-команды](#at-команды)

## Разблокировка

Разблокировка модема без вставки SIM-карты стороннего оператора сотовой связи.

1. Установить встроенное в модем ПО для установки драйверов устройства. Не запускать установленное ПО (либо закрыть, если оно было запущено автоматически).
2. Запустить [HUAWEI Calculator](https://ftp.zhirov.kz/program/e1550/HUAWEI%2Bcalculator.exe) и сгенерировать коды NCK[^1] и FLA[^2]:

![03-image](img/03-image.png)

IMEI находится под разъемом SIM-карты:

![04-image](img/04-image.jpg)

Также IMEI можно получить через [DC-unlocker](https://ftp.zhirov.kz/program/e1550/dc-unlocker2client_1.00.1441.zip) клиент ([официальная ссылка](https://www.dc-unlocker.com/)). С подключенным к ПК модемом запустить DC-unlocker и нажать на кнопку с иконкой лупы:

![05-image](img/05-image.png)

3. Через DC-unlocker также можно проверить состояние модема. На скриншоте выше видно, что статус SIM блокировки - "Блокировано (Card Lock)". Проверка состояния связи с модемом командой `AT`, в ответ будет получено `OK`. Отправить команду разблокировки модема:

```sh
AT^CARDLOCK="NCK"
```

где `NCK` - код, полученный через HUAWEI Calculator:

![06-image](img/06-image.png)

Последующее сканировние устройства покажет статус SIM блокировки как "Разблокирован":

![07-image](img/07-image.png)

## Смена IMEI

1. Подготовить альтернативный IMEI для смены.
2. Установить [WinHex](https://ftp.zhirov.kz/program/e1550/WinHex_v19.9_Ml_Rus.zip).
3. Запустить от имени администратора [Process Explorer](https://ftp.zhirov.kz/program/e1550/procexp.exe) ([официальная ссылка](https://learn.microsoft.com/en-us/sysinternals/downloads/process-explorer)).
4. Запустить от имени администратора программу прошивки [imei-recovery-template-huawei-e1550-100000000000009.exe](https://ftp.zhirov.kz/program/e1550/imei-recovery-template-huawei-e1550-100000000000009.exe).

Принять лицензионное соглашение:

![08-image](img/08-image.png)

После принятия лицензионного соглашения начнется сканирование устройств:

![09-image](img/09-image.png)

Продолжить после идентификации устройства:

![10-image](img/10-image.png)

Нажать `Start` после предупреждения:

![11-image](img/11-image.png)

Ввести код FLA, который был сгенерирован в HUAWEI Calculator:

![12-image](img/12-image.png)

Начнётся создание бэкапа имеющейся прошивки:

![13-image](img/13-image.png)

Дождаться появления статуса `Downloading Programs ...`:

![14-image](img/14-image.png)

5. Через Process Explorer приостановить процесс прошивки на моменте статуса `Downloading Programs ...`:

![15-image](img/15-image.png)

Статус `Приостановлен` должен отображаться напротив процесса прошивки:

![16-image](img/16-image.png)

6. Запустить от имени администратора WinHex и открыть файл `tmp` размером примерно 14 Мб, который находится в каталоге хранения временных файлов `...\AppData\Local\Temp\` (имя файла может отличаться, удобно идентифицаировать по дате изменения):

![17-image](img/17-image.png)

Через пункт меню `Search` выбрать `Find Hex Values...`:

![18-image](img/18-image.png)

Найти позицию шестнадцатиричного кода по шаблону `081A00000000000090`:

![19-image](img/19-image.png)

![20-image](img/20-image.png)

Из подготовленного на змену IMEI ввести поочередно шестнадцатиричные значения на место шаблона при этом меняя пары чисел местами. Например, конечный IMEI - `947293740183745`. Разбить IMEI на пары, кроме первой цифры - `9 47 29 37 40 18 37 45`. Внести данные цифры на место значения шаблона, меняя пары цифр местами. В итоге получится данный результат:

![21-image](img/21-image.png)

7. Сохранить файл и возобновить процесс прошивки модема:

![22-image](img/22-image.png)

![23-image](img/23-image.png)

После окончания прошивки появится окно, сообщающее об успешном завершении прошифки и данные о внесенных изменениях, в том числе о новом IMEI:

![24-image](img/24-image.png)

## Soft & Dashboard

Установка Soft & Dashboard:

1. Установить [E155XUpdate_11.609.18.00.00.B418.exe](https://ftp.zhirov.kz/program/e1550/E155XUpdate_11.609.18.00.00.B418.exe)
2. Установить [huawei_modem_utps11.300.05.21.343_driver_v.4.20.11_3.exe](https://ftp.zhirov.kz/program/e1550/huawei_modem_utps11.300.05.21.343_driver_v.4.20.11_3.exe)

![25-image](img/25-image.png)

## AT-команды

|Команда|Описание|
|-|-|
|`AT^CVOICE=?`|проверка состояния голосовых функций модема (0 - значит включено)|
|`AT^CVOICE=0`|включение голосовых функций модема|
|`AT^U2DIAG?`|текущий режим|
|`AT^U2DIAG=0`|девайс в режиме только модем|
|`AT^U2DIAG=1`|девайс в режиме модем + CD-ROM|
|`AT^U2DIAG=6`|девайс в режиме только сетевая карта|
|`AT^U2DIAG=256`|девайс в режиме модем + Card Reader, можно использовать как обычную флешку, отказавшись от установки драйверов модема|
|`AT^VERSION?`|информация о версии прошивки модема|
|`AT+CLAC`|список поддерживаемых команд|
|`ATI`|вывод информации о модеме|
|`AT+CGMI`|информация о производителе модема|
|`AT+CGMR`|информация о версии прошивки|
|`AT+CIMI`|информация об IMSI номер SIM карты|
|`AT+CGSN`|информация о IMEI модема|
|`AT^HWVER`|информация о версии железа модема|
|`AT^CMDL`|получить список всех комманд|

[^1]: Network Control Key – код, запрашиваемый при попытке установить в «залоченный» смартфон SIM-карту другого оператора сотовой связи
[^2]: Flash Code - код, запрашиваемый при попытке прошивки модема
